summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAgostino Sarubbo <ago@gentoo.org>2019-04-29 09:33:57 +0200
committerAgostino Sarubbo <ago@gentoo.org>2019-04-29 09:33:57 +0200
commit553dca661eb76a010b196e8a492f688e54339739 (patch)
treeee7b3045be38774a1f40ee3eb5314faf2e73bcc5 /dev-python/hcloud-python
parentapp-emulation/virtualbox-guest-additions: Don't build with distcc (diff)
downloadgentoo-553dca661eb76a010b196e8a492f688e54339739.tar.gz
gentoo-553dca661eb76a010b196e8a492f688e54339739.tar.bz2
gentoo-553dca661eb76a010b196e8a492f688e54339739.zip
dev-python/hcloud-python: initial commit
Signed-off-by: Agostino Sarubbo <ago@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'dev-python/hcloud-python')
-rw-r--r--dev-python/hcloud-python/Manifest1
-rw-r--r--dev-python/hcloud-python/hcloud-python-1.2.1.ebuild41
-rw-r--r--dev-python/hcloud-python/metadata.xml8
3 files changed, 50 insertions, 0 deletions
diff --git a/dev-python/hcloud-python/Manifest b/dev-python/hcloud-python/Manifest
new file mode 100644
index 00000000000..db7ec2d140b
--- /dev/null
+++ b/dev-python/hcloud-python/Manifest
@@ -0,0 +1 @@
+DIST hcloud-python-1.2.1.tar.gz 63592 BLAKE2B 9a6d2dae97ff405ebd9b92bc833c9d953c13840e68be4eb43fed375a60e55cf4bf9b4b742b26fb03401f631b7f7127815961861cb673adf4839c829141c8ed00 SHA512 cb70d190350457fc3c6e474bc6c943070102762595dac2f386041956f64255f390a928a2f2411be861645cd65b015ab9e0c931b36aeed0076b06d9f67ac72d1c
diff --git a/dev-python/hcloud-python/hcloud-python-1.2.1.ebuild b/dev-python/hcloud-python/hcloud-python-1.2.1.ebuild
new file mode 100644
index 00000000000..21349762441
--- /dev/null
+++ b/dev-python/hcloud-python/hcloud-python-1.2.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Official Hetzner Cloud python library"
+HOMEPAGE="https://github.com/hetznercloud/hcloud-python"
+SRC_URI="https://github.com/hetznercloud/${PN}/archive/v1.2.1.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc examples"
+
+RDEPEND="dev-python/future[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+DEPEND="${RDEPEND}"
+
+# it can be delete for the next release bump
+# https://github.com/hetznercloud/hcloud-python/pull/41
+python_prepare_all() {
+ rm -fr tests || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/hcloud-python/metadata.xml b/dev-python/hcloud-python/metadata.xml
new file mode 100644
index 00000000000..4eceb317f22
--- /dev/null
+++ b/dev-python/hcloud-python/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>ago@gentoo.org</email>
+ <name>Agostino Sarubbo</name>
+ </maintainer>
+</pkgmetadata>